MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0003927ACheckerAChecker web sitepublic2009-08-31 13:362011-01-25 13:17
Reportergreg 
Assigned Tocindy 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target VersionFixed in Version1.0 
Summary0003927: Remote Account Creation
DescriptionLooking through the list of user on the public AChecker, there are many close to duplicate users account, all with a .cn ending. Need to prevent remote account creation.
TagsNo tags attached.
SVN Revision#
Attached Files

- Relationships

-  Notes
(0003763)
cindy (administrator)
2009-09-01 05:06

SVN revision: 272

Affected scripts:
include/constants.inc.php
register.php

Solution:
1. turn on AC_EMAIL_CONFIRMATION in include/constants.inc.php so that all the registration needs email confirmation click to finalize;
2. check HTTP_REFERER when creating registration record in register.php, to disable the remote registration.
(0004991)
greg (administrator)
2011-01-25 13:17

closed for AChecker 1.1

- Issue History
Date Modified Username Field Change
2009-08-31 13:36 greg New Issue
2009-08-31 13:37 greg Status new => assigned
2009-08-31 13:37 greg Assigned To => cindy
2009-09-01 05:06 cindy Status assigned => resolved
2009-09-01 05:06 cindy Fixed in Version => 1.0
2009-09-01 05:06 cindy Resolution open => fixed
2009-09-01 05:06 cindy Note Added: 0003763
2011-01-25 13:17 greg Note Added: 0004991
2011-01-25 13:17 greg Status resolved => closed


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker